WeakMap::offsetExists
WeakMap::offsetSet
WeakMap
PHP Manual

# WeakMap::offsetGet

Returns the value pointed to by a certain object

### Description

public mixed WeakMap::offsetGet ( object `$object` )

Returns the value pointed to by a certain object.

### Parameters

`object`

  Some object contained as key in the map.

### Return Values

Returns the value associated to the object passed as argument, `NULL` otherwise.